Back to Quotes List/Transaction Manager
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/{id}/actions/back_to_transactionmanager_t
Use this endpoint to navigate back to the specified Quotes List/Transaction Manager page.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): integer
Current unique user-side ID. This is the internal identifier for a transaction within a CPQ site.
Root Schema : commerceDocumentsOraclecpqoTransaction-BackRequest
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information.
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-BackResponse
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
destinationURL:
string
Title:
Destination URLThe destination url as defined in destination tab in action definition. -
layoutVariableName:
string
Title:
Selected Redwood LayoutThe string parameter that contains selected redwood layout's variable name. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information. -
warnings:
object warnings
Title:
warningswarning messages
Nested Schema : warnings
Type:
objectTitle:
warningswarning messages
Show Source
-
messages:
array Messages
Title:
MessagesArray of messages that have been generated for a specific object.
Nested Schema : Messages
Type:
arrayTitle:
MessagesArray of messages that have been generated for a specific object.
Show Source
-
Array of:
string
warning message.
Examples
The following example shows how to navigate back to the specified Quotes List/Transaction Manager page by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/18016533/actions/back_to_transactionmanager_t
Response Body Sample
{
"revisionId": "24,0",
"warnings": {},
"destinationURL": "/redwood/vp/cx-cpq/application/container/quotes?process=oraclecpqo"
}